System.Web 2.0.0.0 System.Configuration.ConfigurationSection

The webParts configuration file section allows you to specify a Web Parts personalization provider, set personalization authorizations, and add custom classes that extend the class for use by Web Parts connections.

Provides programmatic access to the webParts configuration file section. This class cannot be inherited.

- Constructor

  The constructor is not intended to be used directly from your code. It is called by the ASP.NET configuration system. You obtain an instance of the class by using the method.

  This constructor is not intended to be used directly from your code. It is called by the ASP.NET configuration system.

  The following table shows the default settings that are used for this constructor.

  Setting

  Default Value

  An empty object.

  A collection containing a default object.

  Initializes a new instance of the class using default settings.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("enableExport", DefaultValue="False")
  System.Boolean To be added. To be added.

  Gets or sets a value indicating whether to enable the export of control data to an XML description file.

  2.0.0.0
- Method
  System.Object To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("personalization")
  System.Web.Configuration.WebPartsPersonalization To be added. To be added.

  Gets a object that allows you to specify the Web Parts personalization provider and set Web Parts personalization authorizations.

  2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("transformers")
  System.Web.Configuration.TransformerInfoCollection To be added.

  objects specify custom classes that extend the class for use by Web Part connections for the ASP.NET applications affected by the configuration file. These transformer classes act as bridges between connected Web Parts, translating data between Web Parts with incompatible connection points.

  Gets a collection of objects.

  2.0.0.0